import React, { Component } from 'react';
import { geoEqualEarth, geoPath } from 'd3';

const w = 960;
const h = 500;
const projection = geoEqualEarth().scale(40000).center([0.7,51.2]).translate([325,225]);

 
const path = geoPath(projection);

export const PointLocation = ({stopSearchData, colorScale, colorValue,circleRadius}) => (
  <g className="pointLocation">
        
     {stopSearchData.map(d => {
        const [x, y] = projection([d.Longitude, d.Latitude]);
        return (
          <circle className="points" cx={x} cy={y} r={circleRadius}  fill={colorScale(colorValue(d))} >
            <title>
             {d['Latitude']}, {d.Longitude}
            </title>
          </circle>
        );
      })}
  </g>
);
